#include "widget.h"

Widget::Widget(QWidget *parent) : QWidget(parent) { //конструктор
 QVBoxLayout *myLayout = new QVBoxLayout; //новая вертикальная сетка
 for (int i=1; i<=10; i++) //добавляем туда кнопки 1..10
  myLayout->addWidget(createButton(QString("%1").arg(i)));
 setLayout(myLayout);
}

QPushButton* Widget::createButton (const QString& str) {
 QPushButton* pcmd = new QPushButton(str); //создали кнопку с нужной надписью
 pcmd->setMinimumWidth(200); //задали ей минимальную ширину
 connect(pcmd, SIGNAL(clicked()), this, SLOT(slotButtonClicked())); //назначили метод обработки клика
 return pcmd;
}

void Widget::slotButtonClicked() {
 ((QWidget *)sender())->setDisabled(true); //выключили кнопку -
                                           //метод setDisabled есть в классе QWidget
 QString str = ((QPushButton*)sender())->text(); //получили текст кнопки-отправителя
 setWindowTitle(str); //повесили его в заголовок окна виджета
 //любые другие действия, зависящие от значения str
}

